SUSE Security Update: Security update for qemu
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:0930-2
Rating:             important
References:         #1178049 #1192525 #1193364 #1193545 #1194938 
                    #1195161 #1196087 #1196737 
Cross-References:   CVE-2021-3930 CVE-2022-0358
CVSS scores:
                    CVE-2021-3930 (NVD) : 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H
                    CVE-2021-3930 (SUSE): 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
                    CVE-2022-0358 (SUSE): 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise Micro 5.2
______________________________________________________________________________

   An update that solves two vulnerabilities and has 6 fixes
   is now available.

Description:

   This update for qemu fixes the following issues:

   - CVE-2022-0358: Fixed a potential privilege escalation via virtiofsd
     (bsc#1195161).
   - CVE-2021-3930: Fixed a potential denial of service in the emulated SCSI
     device (bsc#1192525).

   Non-security fixes:

   - Fixed a kernel data corruption via a long kernel boot cmdline
     (bsc#1196737).
   - Included vmxcap in the qemu-tools package (bsc#1193364).
   - Fixed package dependencies (bsc#1196087).
   - Fixed an issue were PowerPC firmwares would not be built for non-PowerPC
     builds (bsc#1193545).
   - Fixed multiple issues in I/O (bsc#1178049 bsc#1194938).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Micro 5.2:

      zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-930=1



Package List:

   - SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64):

      qemu-5.2.0-150300.112.4
      qemu-audio-spice-5.2.0-150300.112.4
      qemu-audio-spice-debuginfo-5.2.0-150300.112.4
      qemu-chardev-spice-5.2.0-150300.112.4
      qemu-chardev-spice-debuginfo-5.2.0-150300.112.4
      qemu-debuginfo-5.2.0-150300.112.4
      qemu-debugsource-5.2.0-150300.112.4
      qemu-guest-agent-5.2.0-150300.112.4
      qemu-guest-agent-debuginfo-5.2.0-150300.112.4
      qemu-hw-display-qxl-5.2.0-150300.112.4
      qemu-hw-display-qxl-debuginfo-5.2.0-150300.112.4
      qemu-hw-display-virtio-gpu-5.2.0-150300.112.4
      qemu-hw-display-virtio-gpu-debuginfo-5.2.0-150300.112.4
      qemu-hw-display-virtio-vga-5.2.0-150300.112.4
      qemu-hw-display-virtio-vga-debuginfo-5.2.0-150300.112.4
      qemu-hw-usb-redirect-5.2.0-150300.112.4
      qemu-hw-usb-redirect-debuginfo-5.2.0-150300.112.4
      qemu-tools-5.2.0-150300.112.4
      qemu-tools-debuginfo-5.2.0-150300.112.4
      qemu-ui-opengl-5.2.0-150300.112.4
      qemu-ui-opengl-debuginfo-5.2.0-150300.112.4
      qemu-ui-spice-core-5.2.0-150300.112.4
      qemu-ui-spice-core-debuginfo-5.2.0-150300.112.4

   - SUSE Linux Enterprise Micro 5.2 (aarch64):

      qemu-arm-5.2.0-150300.112.4
      qemu-arm-debuginfo-5.2.0-150300.112.4

   - SUSE Linux Enterprise Micro 5.2 (noarch):

      qemu-ipxe-1.0.0+-150300.112.4
      qemu-seabios-1.14.0_0_g155821a-150300.112.4
      qemu-sgabios-8-150300.112.4
      qemu-vgabios-1.14.0_0_g155821a-150300.112.4

   - SUSE Linux Enterprise Micro 5.2 (x86_64):

      qemu-x86-5.2.0-150300.112.4
      qemu-x86-debuginfo-5.2.0-150300.112.4

   - SUSE Linux Enterprise Micro 5.2 (s390x):

      qemu-s390x-5.2.0-150300.112.4
      qemu-s390x-debuginfo-5.2.0-150300.112.4


References:

   https://www.suse.com/security/cve/CVE-2021-3930.html
   https://www.suse.com/security/cve/CVE-2022-0358.html
   https://bugzilla.suse.com/1178049
   https://bugzilla.suse.com/1192525
   https://bugzilla.suse.com/1193364
   https://bugzilla.suse.com/1193545
   https://bugzilla.suse.com/1194938
   https://bugzilla.suse.com/1195161
   https://bugzilla.suse.com/1196087
   https://bugzilla.suse.com/1196737

SUSE: 2022:0930-2 important: qemu

April 20, 2022
An update that solves two vulnerabilities and has 6 fixes is now available

Summary

This update for qemu fixes the following issues: - CVE-2022-0358: Fixed a potential privilege escalation via virtiofsd (bsc#1195161). - CVE-2021-3930: Fixed a potential denial of service in the emulated SCSI device (bsc#1192525). Non-security fixes: - Fixed a kernel data corruption via a long kernel boot cmdline (bsc#1196737). - Included vmxcap in the qemu-tools package (bsc#1193364). - Fixed package dependencies (bsc#1196087). - Fixed an issue were PowerPC firmwares would not be built for non-PowerPC builds (bsc#1193545). - Fixed multiple issues in I/O (bsc#1178049 bsc#1194938). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Micro 5.2: zypper in -t patch SUSE-SUSE-MicroOS-5.2-2022-930=1 Package List: - SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64): qemu-5.2.0-150300.112.4 qemu-audio-spice-5.2.0-150300.112.4 qemu-audio-spice-debuginfo-5.2.0-150300.112.4 qemu-chardev-spice-5.2.0-150300.112.4 qemu-chardev-spice-debuginfo-5.2.0-150300.112.4 qemu-debuginfo-5.2.0-150300.112.4 qemu-debugsource-5.2.0-150300.112.4 qemu-guest-agent-5.2.0-150300.112.4 qemu-guest-agent-debuginfo-5.2.0-150300.112.4 qemu-hw-display-qxl-5.2.0-150300.112.4 qemu-hw-display-qxl-debuginfo-5.2.0-150300.112.4 qemu-hw-display-virtio-gpu-5.2.0-150300.112.4 qemu-hw-display-virtio-gpu-debuginfo-5.2.0-150300.112.4 qemu-hw-display-virtio-vga-5.2.0-150300.112.4 qemu-hw-display-virtio-vga-debuginfo-5.2.0-150300.112.4 qemu-hw-usb-redirect-5.2.0-150300.112.4 qemu-hw-usb-redirect-debuginfo-5.2.0-150300.112.4 qemu-tools-5.2.0-150300.112.4 qemu-tools-debuginfo-5.2.0-150300.112.4 qemu-ui-opengl-5.2.0-150300.112.4 qemu-ui-opengl-debuginfo-5.2.0-150300.112.4 qemu-ui-spice-core-5.2.0-150300.112.4 qemu-ui-spice-core-debuginfo-5.2.0-150300.112.4 - SUSE Linux Enterprise Micro 5.2 (aarch64): qemu-arm-5.2.0-150300.112.4 qemu-arm-debuginfo-5.2.0-150300.112.4 - SUSE Linux Enterprise Micro 5.2 (noarch): qemu-ipxe-1.0.0+-150300.112.4 qemu-seabios-1.14.0_0_g155821a-150300.112.4 qemu-sgabios-8-150300.112.4 qemu-vgabios-1.14.0_0_g155821a-150300.112.4 - SUSE Linux Enterprise Micro 5.2 (x86_64): qemu-x86-5.2.0-150300.112.4 qemu-x86-debuginfo-5.2.0-150300.112.4 - SUSE Linux Enterprise Micro 5.2 (s390x): qemu-s390x-5.2.0-150300.112.4 qemu-s390x-debuginfo-5.2.0-150300.112.4

References

#1178049 #1192525 #1193364 #1193545 #1194938

#1195161 #1196087 #1196737

Cross- CVE-2021-3930 CVE-2022-0358

CVSS scores:

CVE-2021-3930 (NVD) : 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H

CVE-2021-3930 (SUSE): 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L

CVE-2022-0358 (SUSE): 7 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise Micro 5.2

https://www.suse.com/security/cve/CVE-2021-3930.html

https://www.suse.com/security/cve/CVE-2022-0358.html

https://bugzilla.suse.com/1178049

https://bugzilla.suse.com/1192525

https://bugzilla.suse.com/1193364

https://bugzilla.suse.com/1193545

https://bugzilla.suse.com/1194938

https://bugzilla.suse.com/1195161

https://bugzilla.suse.com/1196087

https://bugzilla.suse.com/1196737

Severity
Announcement ID: SUSE-SU-2022:0930-2
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo